# PSF-LoginServer - master - net.psforever.types.CharacterSex
PSF - LoginServer - master - net.psforever.types.CharacterSex
Keywords: PSF LoginServer master net.psforever.types.CharacterSex

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
- Angular
- BailType
- CapacitorStateType
- CargoStatus
- CharacterSex
- CharacterVoice
- ChatMessageType
- DriveState
- EmoteType
- ExoSuitType
- GrenadeState
- HartSequence
- ImplantType
- LazeWaypoint
- LoadoutType
- MeritCommendation
- OxygenState
- PlanetSideEmpire
- PlanetSideGUID
- PlanetSideGeneratorState
- SpawnGroup
- SquadRequestType
- SquadResponseType
- SquadWaypoint
- StalePlanetSideGUID
- StandardWaypoint
- TransactionType
- ValidPlanetSideGUID
- Vector3
- WaypointSubtype

o

net.psforever.types

# CharacterSex 

###
Companion class CharacterSex

#### object CharacterSex extends IntEnum[CharacterSex]

Values for two sexes, Male and Female.

Source
  CharacterSex.scala

Linear Supertypes
IntEnum[CharacterSex], ValueEnum[Int, CharacterSex], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CharacterSex
2. IntEnum
3. ValueEnum
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  implicit val codec: Codec[CharacterSex]
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  macro def findValues: IndexedSeq[CharacterSex]
    Attributes
      protected
    Definition Classes
      IntEnum
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  val values: IndexedSeq[CharacterSex]
    Definition Classes
      CharacterSex → ValueEnum
20.  final lazy val valuesToEntriesMap: Map[Int, CharacterSex]
    Definition Classes
      ValueEnum
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
24.  def withValue(i: Int): CharacterSex
    Definition Classes
      ValueEnum
    Annotations
      @SuppressWarnings()
25.  def withValueEither(i: Int): Either[NoSuchMember[Int, ValueEnumEntry[Int]], CharacterSex]
    Definition Classes
      ValueEnum
26.  def withValueOpt(i: Int): Option[CharacterSex]
    Definition Classes
      ValueEnum
27.  case object Female extends CharacterSex with Product with Serializable
28.  case object Male extends CharacterSex with Product with Serializable

### Inherited from IntEnum[CharacterSex]

### Inherited from ValueEnum[Int, CharacterSex]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped